{% extends 'layout/templates.html' %}
{% load static %}
{% block judul %}Status{% endblock %}
{% block content %}

    <!-- Header -->
    <header class="masthead d-flex">
            <div class="container-fluid text-right">
                <div class="row my-contact">
                    <div class="col-md-8 img-banner"></div>
                    <div class="col-md-12 text-banner-contact page-header" style="position: absolute;">
                        <h1 class="mb-1">Hello Everyone</h1>
                        <h5>How are you?</h5>
                    </div>
                </div>
            </div>
            <div class="overlay"></div>
        </header>
    
        <!-- Form -->
        <section name="form" class="form">
            <div class="flex-wrap d-flex content-section container-fluid bd-highlight text-white" id="contact-form"></div>
                <!-- <h1 style="text-align:center">Please fill this form</h1>
                <div class="flex-fill bd-highlight">
                    <div class="img-contact"></div>
                </div> -->
                <h1><center>What's your feeling today?</center></h1>
                <div class="p-2 flex-fill bd-highlight">
                    <form id="form" method="POST" action="{% url 'add_status' %}">
                        {% csrf_token %}
                        {{ status_form }}
                        <button id="submit" type="submit" class="btn-submit btn btn-success" value="Submit">Submit</button>
                        <br>
                    </form>
                </div>
            </div>
        </section>

        <!-- Status -->
        <div class="status">
            <div class="flex-wrap d-flex content-section container-fluid bd-highlight">
                {% for i in status %}
                <div class="p-2 flex-fill bd-highlight ">
                    <div class="first ">
                        <div class="text1 square">
                            <p><h1>{{i.title}}</h1></p>
                            <h4>{{i.description}}</h4>
                            <h5>{{i.created_date}}</h5>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>

    <!-- Tabel -->
    <!-- <section class="table-form">
        <table class="table">
            <thead>
                <th>Date</th>
                <th>Title</th>
                <th>My Status</th>
            </thead>
            <tbody>
                {% for i in status %}
                {% if i.title == 'Anonymous'%}
                <tr class="warning"> {% else %} <tr class="success">
                    {% endif %}
                    <td> {{i.created_date}}</td>
                    <td> {{i.title}} </td>
                    <td> {{i.description}} </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </section> -->

{% endblock %}
